diff --git a/multimedia/kdemultimedia-ffmpegthumbs/Makefile b/multimedia/kdemultimedia-ffmpegthumbs/Makefile
index e40f66334c33..ef96a8906a66 100644
--- a/multimedia/kdemultimedia-ffmpegthumbs/Makefile
+++ b/multimedia/kdemultimedia-ffmpegthumbs/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	ffmpegthumbs
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	multimedia kde kde-applications
 PKGNAMEPREFIX=	kdemultimedia-
 
@@ -12,12 +11,11 @@ LICENSE=	GPLv2
 
 LIB_DEPENDS=	libswscale.so:multimedia/ffmpeg
 
-USES=		cmake compiler:c++11-lang kde:5 pkgconfig qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang kde:6 pkgconfig qt:6 tar:xz xorg
 USE_KDE=	completion config coreaddons i18n jobwidgets kio service solid \
 		widgetsaddons windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 .include <bsd.port.mk>
diff --git a/multimedia/kdemultimedia-ffmpegthumbs/distinfo b/multimedia/kdemultimedia-ffmpegthumbs/distinfo
index 249e0551d40a..5c386190221a 100644
--- a/multimedia/kdemultimedia-ffmpegthumbs/distinfo
+++ b/multimedia/kdemultimedia-ffmpegthumbs/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889326
-SHA256 (KDE/release-service/23.08.5/ffmpegthumbs-23.08.5.tar.xz) = dad83ce22fccf141bb19fd6192c73dc0cab6365c86251e68f393962f0a5be5df
-SIZE (KDE/release-service/23.08.5/ffmpegthumbs-23.08.5.tar.xz) = 32984
+TIMESTAMP = 1734460271
+SHA256 (KDE/release-service/24.12.0/ffmpegthumbs-24.12.0.tar.xz) = 15c7befdf7343a0a0e0320913a7314a2a4c22be47488dd1e5a0948218089d4d0
+SIZE (KDE/release-service/24.12.0/ffmpegthumbs-24.12.0.tar.xz) = 33176
diff --git a/multimedia/kdemultimedia-ffmpegthumbs/pkg-plist b/multimedia/kdemultimedia-ffmpegthumbs/pkg-plist
index e11db7447fa4..965d8889ae5e 100644
--- a/multimedia/kdemultimedia-ffmpegthumbs/pkg-plist
+++ b/multimedia/kdemultimedia-ffmpegthumbs/pkg-plist
@@ -1,4 +1,4 @@
-%%QT_PLUGINDIR%%/kf5/thumbcreator/ffmpegthumbs.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/ffmpegthumbs.so
 share/config.kcfg/ffmpegthumbnailersettings5.kcfg
 share/metainfo/org.kde.ffmpegthumbs.metainfo.xml
-share/qlogging-categories5/ffmpegthumbs.categories
+share/qlogging-categories6/ffmpegthumbs.categories
diff --git a/multimedia/kdemultimedia/Makefile b/multimedia/kdemultimedia/Makefile
index eb6a770886e0..900b64fd08bb 100644
--- a/multimedia/kdemultimedia/Makefile
+++ b/multimedia/kdemultimedia/Makefile
@@ -1,13 +1,12 @@
 PORTNAME=	kdemultimedia
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	3
 CATEGORIES=	multimedia kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE Multimedia applications (meta port)
 WWW=		https://multimedia.kde.org
 
-USES=		kde:5 metaport qt:5
+USES=		kde:6 metaport qt:6
 USE_QT=		#
 
 OPTIONS_DEFINE=		DRAGON FFMPEG AUDIOCD_KIO KDENLIVE KMIX
diff --git a/multimedia/kdenlive/Makefile b/multimedia/kdenlive/Makefile
index b6ba966886e5..ad52e6a8c65c 100644
--- a/multimedia/kdenlive/Makefile
+++ b/multimedia/kdenlive/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kdenlive
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	multimedia kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -12,25 +11,21 @@ LICENSE=	GPLv2
 LIB_DEPENDS=	librttr_core.so:devel/rttr
 BUILD_DEPENDS=	${LOCALBASE}/include/linux/input.h:devel/evdev-proto \
 		${LOCALBASE}/include/linux/videodev2.h:multimedia/v4l_compat \
-		${LOCALBASE}/lib/mlt-7/libmltglaxnimate.so:multimedia/mlt7-glaxnimate
+		${LOCALBASE}/lib/mlt-7/libmltglaxnimate-qt6.so:multimedia/mlt7-glaxnimate@qt6
 RUN_DEPENDS=	ffmpeg${FFMPEG_SUFX}:multimedia/ffmpeg${FFMPEG_SUFX} \
-		${LOCALBASE}/lib/mlt-7/libmltqt.so:multimedia/mlt7-qt@qt5 \
-		${LOCALBASE}/lib/mlt-7/libmltglaxnimate.so:multimedia/mlt7-glaxnimate@qt5
+		${LOCALBASE}/lib/mlt-7/libmltqt6.so:multimedia/mlt7-qt@qt6 \
+		${LOCALBASE}/lib/mlt-7/libmltglaxnimate-qt6.so:multimedia/mlt7-glaxnimate@qt6
 
 USES=		cmake compiler:c++11-lang desktop-file-utils gettext-tools gl \
-		kde:5 mlt:7 pkgconfig qt:5 shared-mime-info tar:xz xorg
+		kde:6 mlt:7 pkgconfig qt:6 shared-mime-info tar:xz xorg
 USE_GL=		gl glu
 USE_KDE=	archive attica auth bookmarks codecs completion config \
 		configwidgets coreaddons crash dbusaddons filemetadata \
 		guiaddons i18n iconthemes itemviews jobwidgets kdeclarative \
 		kio newstuff notifications notifyconfig package service solid \
 		sonnet textwidgets widgetsaddons windowsystem xmlgui \
-		ecm:build \
-		init:run
-USE_QT=		concurrent core dbus declarative gui multimedia network \
-		networkauth quickcontrols2 script svg widgets xml \
-		buildtools:build qmake:build \
-		quickcontrols:run
+		ecm:build
+USE_QT=		base networkauth
 USE_XORG=	x11
 CFLAGS+=	-isystem${LOCALBASE}/include # linux/input.h
 CMAKE_ARGS=	-DFFMPEG_SUFFIX:STRING="${FFMPEG_SUFX}"
@@ -43,7 +38,7 @@ OPTIONS_DEFAULT=DVDWIZARD FILESHARE FREI0R LADSPA SCREENCAST V4L
 OPTIONS_SUB=	yes
 
 DVDWIZARD_DESC=	DVD authoring via DVDAuthor and cdrtools
-FILESHARE_DESC=	Common KF5 filesharing support
+FILESHARE_DESC=	Common KF6 filesharing support
 SCREENCAST_DESC=Screen capture support via recordMyDesktop
 V4L_DESC=	Webcam support via Video4Linux
 XINE_DESC=	DVD preview support via xine
@@ -52,7 +47,7 @@ DVDWIZARD_RUN_DEPENDS=	dvdauthor:multimedia/dvdauthor \
 			cdrecord:sysutils/cdrtools
 
 FILESHARE_USE=	KDE=purpose
-FILESHARE_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_KF5Purpose
+FILESHARE_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_KF6Purpose
 
 FREI0R_RUN_DEPENDS=	frei0r-plugins>=0:graphics/frei0r-plugins
 
diff --git a/multimedia/kdenlive/distinfo b/multimedia/kdenlive/distinfo
index 75a5b5da5854..fab2a8be79d5 100644
--- a/multimedia/kdenlive/distinfo
+++ b/multimedia/kdenlive/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889325
-SHA256 (KDE/release-service/23.08.5/kdenlive-23.08.5.tar.xz) = 9ae96458e6a257c323f9845341410a140740260f3f8971ce35004de5161a83db
-SIZE (KDE/release-service/23.08.5/kdenlive-23.08.5.tar.xz) = 12728000
+TIMESTAMP = 1734460274
+SHA256 (KDE/release-service/24.12.0/kdenlive-24.12.0.tar.xz) = c61d034dce9c25a9d2f9e7acff990b7ba46f664d1f972acfaba3a84de1c2288a
+SIZE (KDE/release-service/24.12.0/kdenlive-24.12.0.tar.xz) = 13127724
diff --git a/multimedia/kdenlive/pkg-plist b/multimedia/kdenlive/pkg-plist
index d37fdeb171b2..3510b1d45a2d 100644
--- a/multimedia/kdenlive/pkg-plist
+++ b/multimedia/kdenlive/pkg-plist
@@ -1,9 +1,11 @@
 bin/kdenlive
 bin/kdenlive_render
-%%QT_PLUGINDIR%%/kf5/thumbcreator/mltpreview.so
+%%QT_PLUGINDIR%%/kf6/thumbcreator/mltpreview.so
 share/applications/org.kde.kdenlive.desktop
 share/config.kcfg/kdenlivesettings.kcfg
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/AUTHORS
+%%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/Apache-2.0.txt
+%%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/BSD-2-Clause.txt
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/BSD-3-Clause.txt
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/BSL-1.0.txt
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/CC-BY-SA-4.0.txt
@@ -12,29 +14,14 @@ share/config.kcfg/kdenlivesettings.kcfg
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/GPL-3.0-only.txt
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/GPL-3.0-or-later.txt
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/LGPL-3.0-only.txt
+%%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/LGPL-3.0-or-later.txt
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/LicenseRef-KDE-Accepted-GPL.txt
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/LicenseRef-KDE-Accepted-LGPL.txt
+%%PORTDOCS%%%%DOCSDIR%%/Kdenlive/LICENSES/MIT.txt
 %%PORTDOCS%%%%DOCSDIR%%/Kdenlive/README.md
 share/icons/hicolor/128x128/apps/kdenlive.png
 share/icons/hicolor/128x128/mimetypes/application-x-kdenlivetitle.png
-share/icons/hicolor/16x16/actions/add-subtitle.svg
-share/icons/hicolor/16x16/actions/keyframe-add.svg
-share/icons/hicolor/16x16/actions/keyframe-disable.svg
-share/icons/hicolor/16x16/actions/keyframe-duplicate.svg
-share/icons/hicolor/16x16/actions/keyframe-next.svg
-share/icons/hicolor/16x16/actions/keyframe-previous.svg
-share/icons/hicolor/16x16/actions/keyframe-record.svg
-share/icons/hicolor/16x16/actions/keyframe-remove.svg
-share/icons/hicolor/16x16/actions/keyframe.svg
 share/icons/hicolor/16x16/apps/kdenlive.png
-share/icons/hicolor/22x22/actions/keyframe-add.svg
-share/icons/hicolor/22x22/actions/keyframe-disable.svg
-share/icons/hicolor/22x22/actions/keyframe-duplicate.svg
-share/icons/hicolor/22x22/actions/keyframe-next.svg
-share/icons/hicolor/22x22/actions/keyframe-previous.svg
-share/icons/hicolor/22x22/actions/keyframe-record.svg
-share/icons/hicolor/22x22/actions/keyframe-remove.svg
-share/icons/hicolor/22x22/actions/keyframe.svg
 share/icons/hicolor/22x22/apps/kdenlive.png
 share/icons/hicolor/256x256/apps/kdenlive.png
 share/icons/hicolor/32x32/apps/kdenlive.png
@@ -42,13 +29,13 @@ share/icons/hicolor/32x32/mimetypes/application-x-kdenlivetitle.png
 share/icons/hicolor/48x48/apps/kdenlive.png
 share/icons/hicolor/64x64/apps/kdenlive.png
 share/icons/hicolor/64x64/mimetypes/application-x-kdenlivetitle.png
-share/icons/hicolor/scalable/actions/add-subtitle.svg
 share/icons/hicolor/scalable/apps/kdenlive.svgz
 share/icons/hicolor/scalable/mimetypes/application-x-kdenlive.svgz
 share/icons/hicolor/scalable/mimetypes/application-x-kdenlivetitle.svgz
 share/icons/hicolor/scalable/mimetypes/video-mlt-playlist.svgz
 %%DATADIR%%/clipjobsettings.rc
 %%DATADIR%%/effect-templates/secondary_color_correction.xml
+%%DATADIR%%/effect-templates/secondary_color_correction_v2.xml
 %%DATADIR%%/effect-templates/shut_off.xml
 %%DATADIR%%/effects/acompressor.xml
 %%DATADIR%%/effects/aecho.xml
@@ -94,6 +81,7 @@ share/icons/hicolor/scalable/mimetypes/video-mlt-playlist.svgz
 %%DATADIR%%/effects/avfilter_crossfeed.xml
 %%DATADIR%%/effects/avfilter_crystalizer.xml
 %%DATADIR%%/effects/avfilter_datascope.xml
+%%DATADIR%%/effects/avfilter_dblur.xml
 %%DATADIR%%/effects/avfilter_dcshift.xml
 %%DATADIR%%/effects/avfilter_dctdnoiz.xml
 %%DATADIR%%/effects/avfilter_deband.xml
@@ -208,6 +196,9 @@ share/icons/hicolor/scalable/mimetypes/video-mlt-playlist.svgz
 %%DATADIR%%/effects/frei0r_G.xml
 %%DATADIR%%/effects/frei0r_R.xml
 %%DATADIR%%/effects/frei0r_alpha0ps.xml
+%%DATADIR%%/effects/frei0r_alpha0ps_alpha0ps.xml
+%%DATADIR%%/effects/frei0r_alpha0ps_alphagrad.xml
+%%DATADIR%%/effects/frei0r_alpha0ps_alphaspot.xml
 %%DATADIR%%/effects/frei0r_alphagrad.xml
 %%DATADIR%%/effects/frei0r_alphaspot.xml
 %%DATADIR%%/effects/frei0r_balanc0r.xml
@@ -251,6 +242,7 @@ share/icons/hicolor/scalable/mimetypes/video-mlt-playlist.svgz
 %%DATADIR%%/effects/frei0r_hqdn3d.xml
 %%DATADIR%%/effects/frei0r_hueshift0r.xml
 %%DATADIR%%/effects/frei0r_iirblur.xml
+%%DATADIR%%/effects/frei0r_kaleid0sc0pe.xml
 %%DATADIR%%/effects/frei0r_keyspillm0pup.xml
 %%DATADIR%%/effects/frei0r_lenscorrection.xml
 %%DATADIR%%/effects/frei0r_letterb0xed.xml
@@ -262,6 +254,7 @@ share/icons/hicolor/scalable/mimetypes/video-mlt-playlist.svgz
 %%DATADIR%%/effects/frei0r_nervous.xml
 %%DATADIR%%/effects/frei0r_nosync0r.xml
 %%DATADIR%%/effects/frei0r_pixeliz0r.xml
+%%DATADIR%%/effects/frei0r_pixs0r.xml
 %%DATADIR%%/effects/frei0r_pr0be.xml
 %%DATADIR%%/effects/frei0r_pr0file.xml
 %%DATADIR%%/effects/frei0r_primaries.xml
@@ -291,6 +284,7 @@ share/icons/hicolor/scalable/mimetypes/video-mlt-playlist.svgz
 %%DATADIR%%/effects/frei0r_vignette.xml
 %%DATADIR%%/effects/gain.xml
 %%DATADIR%%/effects/gamma.xml
+%%DATADIR%%/effects/gpsgraphic.xml
 %%DATADIR%%/effects/gpstext.xml
 %%DATADIR%%/effects/grain.xml
 %%DATADIR%%/effects/greyscale.xml
@@ -440,11 +434,24 @@ share/icons/hicolor/scalable/mimetypes/video-mlt-playlist.svgz
 %%DATADIR%%/resourceproviders/pexels_photo.json
 %%DATADIR%%/resourceproviders/pexels_video.json
 %%DATADIR%%/resourceproviders/pixabay_photo.json
+%%DATADIR%%/resourceproviders/pixabay_videos.json
 %%DATADIR%%/scripts/checkgpu.py
 %%DATADIR%%/scripts/checkpackages.py
 %%DATADIR%%/scripts/otiointerface.py
+%%DATADIR%%/scripts/requirements-seamless.txt
+%%DATADIR%%/scripts/requirements-whisper-windows.txt
+%%DATADIR%%/scripts/requirements-whisper.txt
 %%DATADIR%%/scripts/speech.py
 %%DATADIR%%/scripts/speechtotext.py
+%%DATADIR%%/scripts/vosk/speech.py
+%%DATADIR%%/scripts/vosk/speechtotext.py
+%%DATADIR%%/scripts/whisper/requirements-seamless.txt
+%%DATADIR%%/scripts/whisper/requirements-whisper-windows.txt
+%%DATADIR%%/scripts/whisper/requirements-whisper.txt
+%%DATADIR%%/scripts/whisper/seamlessquery.py
+%%DATADIR%%/scripts/whisper/whisperquery.py
+%%DATADIR%%/scripts/whisper/whispertosrt.py
+%%DATADIR%%/scripts/whisper/whispertotext.py
 %%DATADIR%%/scripts/whispertosrt.py
 %%DATADIR%%/scripts/whispertotext.py
 %%DATADIR%%/shortcuts/Premiere
@@ -507,7 +514,7 @@ share/icons/hicolor/scalable/mimetypes/video-mlt-playlist.svgz
 %%DATADIR%%/transitions/slide.xml
 %%DATADIR%%/transitions/vqm.xml
 %%DATADIR%%/transitions/wipe.xml
-share/knotifications5/kdenlive.notifyrc
+share/knotifications6/kdenlive.notifyrc
 share/knsrcfiles/kdenlive_effects.knsrc
 share/knsrcfiles/kdenlive_keyboardschemes.knsrc
 share/knsrcfiles/kdenlive_luts.knsrc
@@ -515,6 +522,7 @@ share/knsrcfiles/kdenlive_renderprofiles.knsrc
 share/knsrcfiles/kdenlive_titles.knsrc
 share/knsrcfiles/kdenlive_wipes.knsrc
 share/locale/ar/LC_MESSAGES/kdenlive.mo
+share/locale/ast/LC_MESSAGES/kdenlive.mo
 share/locale/az/LC_MESSAGES/kdenlive.mo
 share/locale/bs/LC_MESSAGES/kdenlive.mo
 share/locale/ca/LC_MESSAGES/kdenlive.mo
@@ -541,6 +549,7 @@ share/locale/ja/LC_MESSAGES/kdenlive.mo
 share/locale/ka/LC_MESSAGES/kdenlive.mo
 share/locale/ko/LC_MESSAGES/kdenlive.mo
 share/locale/lt/LC_MESSAGES/kdenlive.mo
+share/locale/lv/LC_MESSAGES/kdenlive.mo
 share/locale/mr/LC_MESSAGES/kdenlive.mo
 share/locale/nb/LC_MESSAGES/kdenlive.mo
 share/locale/nds/LC_MESSAGES/kdenlive.mo
@@ -553,6 +562,7 @@ share/locale/ru/LC_MESSAGES/kdenlive.mo
 share/locale/sk/LC_MESSAGES/kdenlive.mo
 share/locale/sl/LC_MESSAGES/kdenlive.mo
 share/locale/sv/LC_MESSAGES/kdenlive.mo
+share/locale/tok/LC_MESSAGES/kdenlive.mo
 share/locale/tr/LC_MESSAGES/kdenlive.mo
 share/locale/ug/LC_MESSAGES/kdenlive.mo
 share/locale/uk/LC_MESSAGES/kdenlive.mo
@@ -563,4 +573,4 @@ share/man/man1/kdenlive_render.1.gz
 share/metainfo/org.kde.kdenlive.appdata.xml
 share/mime/packages/org.kde.kdenlive.xml
 share/mime/packages/westley.xml
-share/qlogging-categories5/kdenlive.categories
+share/qlogging-categories6/kdenlive.categories
diff --git a/multimedia/plasmatube/Makefile b/multimedia/plasmatube/Makefile
index 9e9c84e5e62e..dfb9f8b746f2 100644
--- a/multimedia/plasmatube/Makefile
+++ b/multimedia/plasmatube/Makefile
@@ -6,18 +6,19 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Elegant user interface for YouTube
 WWW=		https://apps.kde.org/plasmatube/
 
-LIB_DEPENDS=	libmpv.so:multimedia/mpv
+LIB_DEPENDS=	libmpv.so:multimedia/mpv \
+		libMpvQt.so:multimedia/mpvqt \
+		libqt6keychain.so:security/qtkeychain@qt6
 
-USES=		cmake kde:5 localbase:ldflags pkgconfig qt:5 tar:xz
-USE_KDE=	config coreaddons i18n kirigami2 \
+USES=		cmake gettext kde:6 localbase:ldflags pkgconfig qt:6 tar:xz
+USE_KDE=	config coreaddons dbusaddons i18n kirigami-addons kirigami2 \
+		windowsystem \
 		ecm:build
-USE_QT=		core declarative gui network quickcontrols2 svg \
-		widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base declarative
 
 # Replace default Invidious instance with one that currently works 
-post-patch:
-	@${REINPLACE_CMD} -e 's|https://inv.riverside.rocks|https://vid.puffyan.us|' \
-		${WRKSRC}/src/PlasmaTubeSettings.kcfg
+#post-patch:
+#	@${REINPLACE_CMD} -e 's|https://inv.riverside.rocks|https://vid.puffyan.us|' \
+#		${WRKSRC}/src/PlasmaTubeSettings.kcfg
 
 .include <bsd.port.mk>
diff --git a/multimedia/plasmatube/distinfo b/multimedia/plasmatube/distinfo
index 68d503f425a2..2f8572d3b05e 100644
--- a/multimedia/plasmatube/distinfo
+++ b/multimedia/plasmatube/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889322
-SHA256 (KDE/release-service/23.08.5/plasmatube-23.08.5.tar.xz) = 66ca4fdc2059d72651d6be5264860ba66af90e0be10af80c2ea30859727c1b9d
-SIZE (KDE/release-service/23.08.5/plasmatube-23.08.5.tar.xz) = 84224
+TIMESTAMP = 1734460276
+SHA256 (KDE/release-service/24.12.0/plasmatube-24.12.0.tar.xz) = 36654d2b6ec1b8ce282253fa78569dacf7d918919f965bd959bf5924a08b748e
+SIZE (KDE/release-service/24.12.0/plasmatube-24.12.0.tar.xz) = 216180
diff --git a/multimedia/plasmatube/pkg-plist b/multimedia/plasmatube/pkg-plist
index 35aeea7a4b8b..540058e50d66 100644
--- a/multimedia/plasmatube/pkg-plist
+++ b/multimedia/plasmatube/pkg-plist
@@ -1,5 +1,8 @@
 bin/plasmatube
 share/applications/org.kde.plasmatube.desktop
+share/icons/hicolor/scalable/actions/plasmatube-invidious.svg
+share/icons/hicolor/scalable/actions/plasmatube-peertube.svg
+share/icons/hicolor/scalable/actions/plasmatube-piped.svg
 share/icons/hicolor/scalable/apps/org.kde.plasmatube.svg
 share/locale/ar/LC_MESSAGES/plasmatube.mo
 share/locale/ast/LC_MESSAGES/plasmatube.mo
@@ -10,26 +13,31 @@ share/locale/ca@valencia/LC_MESSAGES/plasmatube.mo
 share/locale/cs/LC_MESSAGES/plasmatube.mo
 share/locale/de/LC_MESSAGES/plasmatube.mo
 share/locale/en_GB/LC_MESSAGES/plasmatube.mo
+share/locale/eo/LC_MESSAGES/plasmatube.mo
 share/locale/es/LC_MESSAGES/plasmatube.mo
 share/locale/eu/LC_MESSAGES/plasmatube.mo
 share/locale/fi/LC_MESSAGES/plasmatube.mo
 share/locale/fr/LC_MESSAGES/plasmatube.mo
 share/locale/gl/LC_MESSAGES/plasmatube.mo
+share/locale/he/LC_MESSAGES/plasmatube.mo
 share/locale/hi/LC_MESSAGES/plasmatube.mo
 share/locale/hu/LC_MESSAGES/plasmatube.mo
 share/locale/ia/LC_MESSAGES/plasmatube.mo
 share/locale/id/LC_MESSAGES/plasmatube.mo
+share/locale/is/LC_MESSAGES/plasmatube.mo
 share/locale/it/LC_MESSAGES/plasmatube.mo
 share/locale/ja/LC_MESSAGES/plasmatube.mo
 share/locale/ka/LC_MESSAGES/plasmatube.mo
 share/locale/ko/LC_MESSAGES/plasmatube.mo
 share/locale/lt/LC_MESSAGES/plasmatube.mo
+share/locale/lv/LC_MESSAGES/plasmatube.mo
 share/locale/nl/LC_MESSAGES/plasmatube.mo
 share/locale/nn/LC_MESSAGES/plasmatube.mo
 share/locale/pa/LC_MESSAGES/plasmatube.mo
 share/locale/pl/LC_MESSAGES/plasmatube.mo
 share/locale/pt/LC_MESSAGES/plasmatube.mo
 share/locale/pt_BR/LC_MESSAGES/plasmatube.mo
+share/locale/ro/LC_MESSAGES/plasmatube.mo
 share/locale/ru/LC_MESSAGES/plasmatube.mo
 share/locale/sk/LC_MESSAGES/plasmatube.mo
 share/locale/sl/LC_MESSAGES/plasmatube.mo
@@ -39,3 +47,4 @@ share/locale/uk/LC_MESSAGES/plasmatube.mo
 share/locale/zh_CN/LC_MESSAGES/plasmatube.mo
 share/locale/zh_TW/LC_MESSAGES/plasmatube.mo
 share/metainfo/org.kde.plasmatube.appdata.xml
+share/qlogging-categories6/plasmatube.categories
diff --git a/net-im/kaccounts-integration/Makefile b/net-im/kaccounts-integration/Makefile
index 4494d104be3e..b4761908936f 100644
--- a/net-im/kaccounts-integration/Makefile
+++ b/net-im/kaccounts-integration/Makefile
@@ -1,25 +1,22 @@
 PORTNAME=	kaccounts-integration
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	5
 CATEGORIES=	net-im kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	System to administer web accounts for the KDE desktop
 WWW=		https://projects.kde.org/projects/kdereview/kaccounts-integration
 
-LIB_DEPENDS=	libQCoro5Core.so:devel/qcoro@qt5 \
-		libaccounts-qt5.so:net-im/libaccounts-qt@qt5 \
-		libsignon-qt5.so:sysutils/signond@qt5
-RUN_DEPENDS=	signon-ui:sysutils/signon-ui
+LIB_DEPENDS=	libQCoro6Core.so:devel/qcoro@qt6 \
+		libaccounts-qt6.so:net-im/libaccounts-qt@qt6 \
+		libsignon-qt6.so:sysutils/signond@qt6
 
-USES=		cmake compiler:c++11-lang gettext-tools pkgconfig kde:5 \
-		qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext-tools kde:6 pkgconfig qt:6 \
+		tar:xz
 USE_KDE=	config coreaddons dbusaddons i18n kcmutils kdeclarative kio \
 		service wallet \
 		ecm:build package:build \
 		iconthemes:run
-USE_QT=		concurrent core dbus declarative gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 .include <bsd.port.options.mk>
 
diff --git a/net-im/kaccounts-integration/distinfo b/net-im/kaccounts-integration/distinfo
index 2fb8347452c6..11660c781a81 100644
--- a/net-im/kaccounts-integration/distinfo
+++ b/net-im/kaccounts-integration/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889329
-SHA256 (KDE/release-service/23.08.5/kaccounts-integration-23.08.5.tar.xz) = c02ee25495c387dfc9c7581babd4756e04d7c3dae68bffd1652cf418e1d129b9
-SIZE (KDE/release-service/23.08.5/kaccounts-integration-23.08.5.tar.xz) = 88544
+TIMESTAMP = 1734460277
+SHA256 (KDE/release-service/24.12.0/kaccounts-integration-24.12.0.tar.xz) = 04e8a00bdd4539027497edcabc4d7c21932ab00f43a51b1184365735f8d3b433
+SIZE (KDE/release-service/24.12.0/kaccounts-integration-24.12.0.tar.xz) = 93484
diff --git a/net-im/kaccounts-integration/pkg-plist b/net-im/kaccounts-integration/pkg-plist
index 73143a422320..899031ca02a9 100644
--- a/net-im/kaccounts-integration/pkg-plist
+++ b/net-im/kaccounts-integration/pkg-plist
@@ -1,48 +1,45 @@
-include/KAccounts/AccountServiceToggleJob
-include/KAccounts/AccountsModel
-include/KAccounts/ChangeAccountDisplayNameJob
-include/KAccounts/Core
-include/KAccounts/CreateAccountJob
-include/KAccounts/GetCredentialsJob
-include/KAccounts/KAccountsDPlugin
-include/KAccounts/KAccountsUiPlugin
-include/KAccounts/ProvidersModel
-include/KAccounts/RemoveAccountJob
-include/KAccounts/ServicesModel
-include/KAccounts/accountservicetogglejob.h
-include/KAccounts/accountsmodel.h
-include/KAccounts/changeaccountdisplaynamejob.h
-include/KAccounts/core.h
-include/KAccounts/createaccountjob.h
-include/KAccounts/getcredentialsjob.h
-include/KAccounts/kaccounts_export.h
-include/KAccounts/kaccounts_version.h
-include/KAccounts/kaccountsdplugin.h
-include/KAccounts/kaccountsuiplugin.h
-include/KAccounts/providersmodel.h
-include/KAccounts/removeaccountjob.h
-include/KAccounts/servicesmodel.h
-lib/cmake/KAccounts/KAccountsConfig.cmake
-lib/cmake/KAccounts/KAccountsConfigVersion.cmake
-lib/cmake/KAccounts/KAccountsMacros.cmake
-lib/cmake/KAccounts/KAccountsTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KAccounts/KAccountsTargets.cmake
-lib/libkaccounts.so
-lib/libkaccounts.so.2
-lib/libkaccounts.so.%%KDE_APPLICATIONS_VERSION%%
+include/KAccounts6/KAccounts/AccountServiceToggleJob
+include/KAccounts6/KAccounts/AccountsModel
+include/KAccounts6/KAccounts/ChangeAccountDisplayNameJob
+include/KAccounts6/KAccounts/Core
+include/KAccounts6/KAccounts/CreateAccountJob
+include/KAccounts6/KAccounts/GetCredentialsJob
+include/KAccounts6/KAccounts/KAccountsDPlugin
+include/KAccounts6/KAccounts/KAccountsUiPlugin
+include/KAccounts6/KAccounts/ProvidersModel
+include/KAccounts6/KAccounts/RemoveAccountJob
+include/KAccounts6/KAccounts/ServicesModel
+include/KAccounts6/kaccounts/accountservicetogglejob.h
+include/KAccounts6/kaccounts/accountsmodel.h
+include/KAccounts6/kaccounts/changeaccountdisplaynamejob.h
+include/KAccounts6/kaccounts/core.h
+include/KAccounts6/kaccounts/createaccountjob.h
+include/KAccounts6/kaccounts/getcredentialsjob.h
+include/KAccounts6/kaccounts/kaccountsdplugin.h
+include/KAccounts6/kaccounts/kaccountsuiplugin.h
+include/KAccounts6/kaccounts/providersmodel.h
+include/KAccounts6/kaccounts/removeaccountjob.h
+include/KAccounts6/kaccounts/servicesmodel.h
+include/KAccounts6/kaccounts_export.h
+include/KAccounts6/kaccounts_version.h
+lib/cmake/KAccounts6/KAccounts6Config.cmake
+lib/cmake/KAccounts6/KAccounts6ConfigVersion.cmake
+lib/cmake/KAccounts6/KAccounts6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KAccounts6/KAccounts6Targets.cmake
+lib/cmake/KAccounts6/KAccountsMacros.cmake
+lib/libkaccounts6.so
+lib/libkaccounts6.so.2
+lib/libkaccounts6.so.%%KDE_APPLICATIONS_VERSION%%
 %%QT_PLUGINDIR%%/kaccounts/daemonplugins/kaccounts_kio_webdav_plugin.so
-%%QT_PLUGINDIR%%/kf5/kded/kded_accounts.so
+%%QT_PLUGINDIR%%/kf6/kded/kded_accounts.so
 %%QT_PLUGINDIR%%/plasma/kcms/systemsettings/kcm_kaccounts.so
+%%QT_QMLDIR%%/org/kde/kaccounts/kaccountsdeclarativeplugin.qmltypes
+%%QT_QMLDIR%%/org/kde/kaccounts/kde-qmlmodule.version
 %%QT_QMLDIR%%/org/kde/kaccounts/libkaccountsdeclarativeplugin.so
 %%QT_QMLDIR%%/org/kde/kaccounts/qmldir
 share/applications/kcm_kaccounts.desktop
-share/kpackage/kcms/kcm_kaccounts/contents/ui/AccountDetails.qml
-share/kpackage/kcms/kcm_kaccounts/contents/ui/AvailableAccounts.qml
-share/kpackage/kcms/kcm_kaccounts/contents/ui/MessageBoxSheet.qml
-share/kpackage/kcms/kcm_kaccounts/contents/ui/RemoveAccountDialog.qml
-share/kpackage/kcms/kcm_kaccounts/contents/ui/RenameAccountDialog.qml
-share/kpackage/kcms/kcm_kaccounts/contents/ui/main.qml
 share/locale/ar/LC_MESSAGES/kaccounts-integration.mo
+share/locale/ast/LC_MESSAGES/kaccounts-integration.mo
 share/locale/az/LC_MESSAGES/kaccounts-integration.mo
 share/locale/bg/LC_MESSAGES/kaccounts-integration.mo
 share/locale/bs/LC_MESSAGES/kaccounts-integration.mo
@@ -53,20 +50,24 @@ share/locale/da/LC_MESSAGES/kaccounts-integration.mo
 share/locale/de/LC_MESSAGES/kaccounts-integration.mo
 share/locale/el/LC_MESSAGES/kaccounts-integration.mo
 share/locale/en_GB/LC_MESSAGES/kaccounts-integration.mo
+share/locale/eo/LC_MESSAGES/kaccounts-integration.mo
 share/locale/es/LC_MESSAGES/kaccounts-integration.mo
 share/locale/et/LC_MESSAGES/kaccounts-integration.mo
 share/locale/eu/LC_MESSAGES/kaccounts-integration.mo
 share/locale/fi/LC_MESSAGES/kaccounts-integration.mo
 share/locale/fr/LC_MESSAGES/kaccounts-integration.mo
 share/locale/gl/LC_MESSAGES/kaccounts-integration.mo
+share/locale/he/LC_MESSAGES/kaccounts-integration.mo
 share/locale/hu/LC_MESSAGES/kaccounts-integration.mo
 share/locale/ia/LC_MESSAGES/kaccounts-integration.mo
 share/locale/id/LC_MESSAGES/kaccounts-integration.mo
+share/locale/is/LC_MESSAGES/kaccounts-integration.mo
 share/locale/it/LC_MESSAGES/kaccounts-integration.mo
 share/locale/ja/LC_MESSAGES/kaccounts-integration.mo
 share/locale/ka/LC_MESSAGES/kaccounts-integration.mo
 share/locale/ko/LC_MESSAGES/kaccounts-integration.mo
 share/locale/lt/LC_MESSAGES/kaccounts-integration.mo
+share/locale/lv/LC_MESSAGES/kaccounts-integration.mo
 share/locale/nl/LC_MESSAGES/kaccounts-integration.mo
 share/locale/nn/LC_MESSAGES/kaccounts-integration.mo
 share/locale/pa/LC_MESSAGES/kaccounts-integration.mo
@@ -82,7 +83,9 @@ share/locale/sr@ijekavian/LC_MESSAGES/kaccounts-integration.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/kaccounts-integration.mo
 share/locale/sr@latin/LC_MESSAGES/kaccounts-integration.mo
 share/locale/sv/LC_MESSAGES/kaccounts-integration.mo
+share/locale/ta/LC_MESSAGES/kaccounts-integration.mo
 share/locale/tr/LC_MESSAGES/kaccounts-integration.mo
 share/locale/uk/LC_MESSAGES/kaccounts-integration.mo
 share/locale/zh_CN/LC_MESSAGES/kaccounts-integration.mo
 share/locale/zh_TW/LC_MESSAGES/kaccounts-integration.mo
+share/qlogging-categories6/kaccounts.categories
diff --git a/net-im/kaccounts-providers/Makefile b/net-im/kaccounts-providers/Makefile
index b062c6f88c91..7905499ea9c2 100644
--- a/net-im/kaccounts-providers/Makefile
+++ b/net-im/kaccounts-providers/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kaccounts-providers
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	net-im kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -8,18 +7,16 @@ COMMENT=	System to administer web accounts for the KDE desktop
 WWW=		https://projects.kde.org/projects/kdereview/kaccounts-providers
 
 LIB_DEPENDS=	libaccounts-glib.so:net-im/libaccounts-glib \
-		libkaccounts.so:net-im/kaccounts-integration \
-		libaccounts-qt5.so:net-im/libaccounts-qt@qt5 \
-		libsignon-qt5.so:sysutils/signond@qt5
+		libkaccounts6.so:net-im/kaccounts-integration \
+		libaccounts-qt6.so:net-im/libaccounts-qt@qt6 \
+		libsignon-qt6.so:sysutils/signond@qt6
 
-USES=		cmake compiler:c++11-lang gettext gnome kde:5 pkgconfig qt:5 \
+USES=		cmake compiler:c++11-lang gettext gnome kde:6 pkgconfig qt:6 \
 		tar:xz
 USE_GNOME=	intltool
 USE_KDE=	config coreaddons i18n kdeclarative kio package service \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui location network \
-		webchannel webengine xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative webchannel webengine
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/net-im/kaccounts-providers/distinfo b/net-im/kaccounts-providers/distinfo
index 08129e5b826a..632b07d1e03a 100644
--- a/net-im/kaccounts-providers/distinfo
+++ b/net-im/kaccounts-providers/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889327
-SHA256 (KDE/release-service/23.08.5/kaccounts-providers-23.08.5.tar.xz) = 083d80039e817906e5349aef3bd8024ac84f427ad37820a5349861aa1499e5c5
-SIZE (KDE/release-service/23.08.5/kaccounts-providers-23.08.5.tar.xz) = 66184
+TIMESTAMP = 1734460279
+SHA256 (KDE/release-service/24.12.0/kaccounts-providers-24.12.0.tar.xz) = 1ea284d24c34c18af5aeb21fd849a9cd7a23ff945490e0724be17ec267be790a
+SIZE (KDE/release-service/24.12.0/kaccounts-providers-24.12.0.tar.xz) = 68876
diff --git a/net-im/kaccounts-providers/pkg-plist b/net-im/kaccounts-providers/pkg-plist
index d489a37a0de1..efc18ba8fd6b 100644
--- a/net-im/kaccounts-providers/pkg-plist
+++ b/net-im/kaccounts-providers/pkg-plist
@@ -17,13 +17,12 @@ share/kpackage/genericqml/org.kde.kaccounts.nextcloud/contents/ui/Services.qml
 share/kpackage/genericqml/org.kde.kaccounts.nextcloud/contents/ui/WebLogin.qml
 share/kpackage/genericqml/org.kde.kaccounts.nextcloud/contents/ui/main.qml
 share/kpackage/genericqml/org.kde.kaccounts.nextcloud/metadata.desktop
-share/kpackage/genericqml/org.kde.kaccounts.nextcloud/metadata.json
 share/kpackage/genericqml/org.kde.kaccounts.owncloud/contents/ui/Server.qml
 share/kpackage/genericqml/org.kde.kaccounts.owncloud/contents/ui/Services.qml
 share/kpackage/genericqml/org.kde.kaccounts.owncloud/contents/ui/main.qml
 share/kpackage/genericqml/org.kde.kaccounts.owncloud/metadata.desktop
-share/kpackage/genericqml/org.kde.kaccounts.owncloud/metadata.json
 share/locale/ar/LC_MESSAGES/kaccounts-providers.mo
+share/locale/ast/LC_MESSAGES/kaccounts-providers.mo
 share/locale/az/LC_MESSAGES/kaccounts-providers.mo
 share/locale/bg/LC_MESSAGES/kaccounts-providers.mo
 share/locale/bs/LC_MESSAGES/kaccounts-providers.mo
@@ -34,12 +33,14 @@ share/locale/da/LC_MESSAGES/kaccounts-providers.mo
 share/locale/de/LC_MESSAGES/kaccounts-providers.mo
 share/locale/el/LC_MESSAGES/kaccounts-providers.mo
 share/locale/en_GB/LC_MESSAGES/kaccounts-providers.mo
+share/locale/eo/LC_MESSAGES/kaccounts-providers.mo
 share/locale/es/LC_MESSAGES/kaccounts-providers.mo
 share/locale/et/LC_MESSAGES/kaccounts-providers.mo
 share/locale/eu/LC_MESSAGES/kaccounts-providers.mo
 share/locale/fi/LC_MESSAGES/kaccounts-providers.mo
 share/locale/fr/LC_MESSAGES/kaccounts-providers.mo
 share/locale/gl/LC_MESSAGES/kaccounts-providers.mo
+share/locale/he/LC_MESSAGES/kaccounts-providers.mo
 share/locale/hu/LC_MESSAGES/kaccounts-providers.mo
 share/locale/ia/LC_MESSAGES/kaccounts-providers.mo
 share/locale/id/LC_MESSAGES/kaccounts-providers.mo
@@ -48,6 +49,7 @@ share/locale/ja/LC_MESSAGES/kaccounts-providers.mo
 share/locale/ka/LC_MESSAGES/kaccounts-providers.mo
 share/locale/ko/LC_MESSAGES/kaccounts-providers.mo
 share/locale/lt/LC_MESSAGES/kaccounts-providers.mo
+share/locale/lv/LC_MESSAGES/kaccounts-providers.mo
 share/locale/nl/LC_MESSAGES/kaccounts-providers.mo
 share/locale/nn/LC_MESSAGES/kaccounts-providers.mo
 share/locale/pa/LC_MESSAGES/kaccounts-providers.mo
@@ -63,9 +65,8 @@ share/locale/sr@ijekavian/LC_MESSAGES/kaccounts-providers.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/kaccounts-providers.mo
 share/locale/sr@latin/LC_MESSAGES/kaccounts-providers.mo
 share/locale/sv/LC_MESSAGES/kaccounts-providers.mo
+share/locale/ta/LC_MESSAGES/kaccounts-providers.mo
 share/locale/tr/LC_MESSAGES/kaccounts-providers.mo
 share/locale/uk/LC_MESSAGES/kaccounts-providers.mo
 share/locale/zh_CN/LC_MESSAGES/kaccounts-providers.mo
 share/locale/zh_TW/LC_MESSAGES/kaccounts-providers.mo
-share/metainfo/org.kde.kaccounts.nextcloud.appdata.xml
-share/metainfo/org.kde.kaccounts.owncloud.appdata.xml
